
import 'dart:async';
import 'dart:collection';

import 'package:flutter/services.dart';

class Zebrascanner {
  static const MethodChannel _channel =
  const MethodChannel('com.pratap.zebrascanner/zebra');

  static const EventChannel _eventChannel =
  const EventChannel('com.pratap.zebrascanner/zebraevents');


  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future<String> get barcodeScreen async {
    final String version = await _channel.invokeMethod('barcodeScreen');
    return version;
  }




}
